Dža ko lil

Luma Photon · Flash · Modify

Integriruj

Modelosko id luma-photon/flash/modify
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma-photon/flash/modify?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "strength": 0.8,
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kava mangipen: ≈$0.005 5 API krediti · ≈ ₽0.53 Phir les kate

Lel API klidin
Luma AI Editime e kipesko Sig #image-to-image

Flash kipo-redaktiripen savo palem kerel jekh inputo-kipo e promptosa, paruvindoj e sursoski zor

Luma AI · Kip

Tiro prvo rezultato si kate

Ker tele jekh mangipen thaj phir les tire API klidinosa. E rezultatur si kopirime amare arakhipneste, vično vaj 7 dives bilačhes.

Ker jekh mangipen

O kontrolura kerde si katar e schemaske. O kodo thaj e cena menjinen sar tu len menjines.

0 / 5000

Instrukcia savi phenel sar te editisarel o kipo.

•trubul image_url
Čhiv jekh fajl, vaj

URL savo sikavel o kipo vaj te avel reframed.

aspect_ratio •trubul

Aspect ratio kiposke palal reframing.

•trubul

O rezultato dependence katar initialno kipo kontrolinel kadava strength setting; kana bararel les, kadava kipo del les maj bari influence.

Lučhe enable_safety_checker
POST /run/luma-photon/flash/modify?wait=20 hesab → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/luma-photon/flash/modify?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "strength": 0.8,
    "aspect_ratio": "1:1"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Phandel kava mangipen

Tiro kluč ačhel kadale browsereste: bičhalel pes numa ko Doitong API thaj šuvav pes (localStorage) numa te tiknes Remember. Le jekh API ključ

Palal Luma Photon · Flash · Modify

Editirinel jekh ačhilo slikari dino ande `image_url`. Trubulo `strength` andar 0 te 1 setuil keci o soursko slikari ingrel o rezultato, thaj trubulo `aspect_ratio` setuil o rezultatosko obliko. Opcionako `prompt` dži 5000 karakterurendar sikavel e paruvipen. Kada si Flash varianta e Photon Modify.

Parametra

Bičhalav vaj e kanonikano nav vaj e native nav, na duj. Kanonikane nava

NavTip standardnoMuklo Vakeripe
promptopcionalno
Tipstring | null
≤ 5,000 simbolura≥ 3 simbolura
Instrukcia savi phenel sar te editisarel o kipo.
image_urltrubul image
Tipurl · image
URL savo sikavel o kipo vaj te avel reframed.
strengthtrubul
Tipnumber
0 – 1
O rezultato dependence katar initialno kipo kontrolinel kadava strength setting; kana bararel les, kadava kipo del les maj bari influence.
aspect_ratiotrubul
Tipenum
1:116:99:164:33:421:99:21
Aspect ratio kiposke palal reframing.
enable_safety_checkeropcionalno
Tipboolean
standardnotrue
Screening šaj te avel relaksirime te postavil pes false, numa kana o manglo si autorizuime.
trubul Kanonikano nav, vi akceptime

Fajloske parametra lel jekh publikano https:// URL, jekh data: URI dži 10 MB, vaj e file_url uploadoski. Fajlura

Rezultato

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "luma-photon/flash/modify",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "strength": 0.8,
    "aspect_ratio": "1:1"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Tire fajlura, tiro alosaripenSako outputs[].url si kopija amare arakhipneste: vično (čargeime per GB-mase) vaj 7 dives bilačhes, tiro kontoskere regulaciatar vaj ?storage=.
Sa jekh forma sako modeloθartype, url, content_type, width, height thaj duration, varesave imajinake, video thaj audio-ke. output si o modelosko korkoro resultosko objekto.
Outputoske fieldura
images
array of object {url, content_type, file_name, file_size}Kipo kerdo generacijasa.

Bute modeli: Editime e kipesko

AI agentenge: kadija rig sar Markdown si kate https://doitong.com/rom/developers/models/luma-photon/flash/modify.md. Sa e modelura thaj e gidura: https://doitong.com/developers/llms.txt